import * as yaml from 'js-yaml';
export declare type DumpOptions = yaml.DumpOptions;
export declare type DumpFunction<X> = (x: X, o?: DumpOptions) => string;
export declare type TestFunction<X> = (x: X, o?: DumpOptions) => () => void;
export declare function mkfn<X>(fn: DumpFunction<X>, options?: DumpOptions): TestFunction<X>;
export declare const unsafe: TestFunction<any>;
export declare const safe: TestFunction<any>;
export declare const pureUnsafe: TestFunction<any>;
export declare const pureSafe: TestFunction<any>;
export declare const noRefs: TestFunction<any>;
export default unsafe;
