/// <reference types="jest" />
export declare type TargetFunction<Return> = () => Return;
export declare class FunctionMatchers<Return = any> {
    private fn;
    constructor(fn: TargetFunction<Return>);
    private execute;
    private match;
    get throws(): jest.JestMatchersShape<jest.Matchers<void, any>, jest.Matchers<Promise<void>, any>>;
    get returns(): jest.JestMatchersShape<jest.Matchers<void, Return>, jest.Matchers<Promise<void>, Return>>;
}
export declare function expectFunction<Return = any>(fn: TargetFunction<Return>): FunctionMatchers<Return>;
export default expectFunction;
