/// <reference types="node" />
import { SpawnSyncOptions } from 'child_process';
import * as xsnap from '../snap';
import { SpawnFunc, Argv } from './lib/spawn';
export * from './lib/spawn';
export declare function snap(fn: SpawnFunc, argv?: Argv, options?: SpawnSyncOptions, snap?: xsnap.TestFunction<any>): () => void;
export declare namespace snap {
    const withCommand: (command: string, argv?: Argv | undefined, options?: SpawnSyncOptions | undefined, fsnap?: xsnap.TestFunction<any>) => () => void;
}
export default snap;
